| Home | Libraries | People | FAQ | More

## Function is_classified

boost::algorithm::is_classified — is_classified predicate

## Synopsis

    unspecified is_classified(std::ctype_base::mask Type,
                              const std::locale & Loc = std::locale());

## Description

Construct the `is_classified` predicate. This predicate holds if the input is of specified `std::ctype` category.

Parameters: |
`Loc` | A locale used for classification
`Type` | A `std::ctype` category
Returns: | An instance of the `is_classified` predicate